Bug 1774710 - UI: When selecting the server type in ldap authentication, "attribute mappings" fields could be populated automatically
Summary: UI: When selecting the server type in ldap authentication, "attribute mapping...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: LDAP
Version: 6.6.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Leos Stejskal
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-20 18:51 UTC by Waldirio M Pinheiro
Modified: 2020-10-27 12:59 UTC (History)
4 users (show)

Fixed In Version: foreman-2.1.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
Default Values are populated (87.86 KB, image/png)
2020-05-27 11:48 UTC, Omkar Khatavkar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28347 0 Normal Closed UI: When selecting the server type in ldap authentication, "attribute mappings" fields could be populated automatically 2021-01-29 13:58:59 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:59:49 UTC

Description Waldirio M Pinheiro 2019-11-20 18:51:07 UTC
Description of problem:
Currently, there are some different values that can be defined specifically to "Login Name Attribute". That said, still necessary add that information manually all the time when proceeding with ldap authentication configuration.

Version-Release number of selected component (if applicable):
6.6.z

How reproducible:
100%

Steps to Reproduce:
1. Configure ldap authentication
2. Check Attribute Mappings tab

Actual results:
Empty fields

Expected results:
Filled fields according to the selection on "server type" (Free IPA, AD or POSIX). 

Additional info:

Comment 5 Marek Hulan 2019-11-25 15:04:41 UTC
Created redmine issue https://projects.theforeman.org/issues/28347 from this bug

Comment 6 Bryan Kearney 2020-02-19 15:04:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28347 has been resolved.

Comment 7 Omkar Khatavkar 2020-05-27 11:48:50 UTC
Created attachment 1692672 [details]
Default Values are populated

Verified on Satellite 6.8 Snap 1, the predefined values are populated in LDAP auth source. marking as verified

Comment 10 errata-xmlrpc 2020-10-27 12:59:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.